package com.aucma.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.aucma.base.mapper.SamplingInspectionMapper;
import com.aucma.base.domain.SamplingInspection;
import com.aucma.base.service.ISamplingInspectionService;

@Service
public class SamplingInspectionServiceImpl implements ISamplingInspectionService {
    @Autowired
    private SamplingInspectionMapper samplingInspectionMapper;

    @Override
    public SamplingInspection selectSamplingInspectionByObjId(Long objId) {
        return samplingInspectionMapper.selectSamplingInspectionByObjId(objId);
    }

    @Override
    public List<SamplingInspection> selectSamplingInspectionList(SamplingInspection samplingInspection) {
        return samplingInspectionMapper.selectSamplingInspectionList(samplingInspection);
    }

    @Override
    public int insertSamplingInspection(SamplingInspection samplingInspection) {
        return samplingInspectionMapper.insertSamplingInspection(samplingInspection);
    }

    @Override
    public int updateSamplingInspection(SamplingInspection samplingInspection) {
        return samplingInspectionMapper.updateSamplingInspection(samplingInspection);
    }

    @Override
    public int deleteSamplingInspectionByObjIds(Long[] objIds) {
        return samplingInspectionMapper.deleteSamplingInspectionByObjIds(objIds);
    }

    @Override
    public int deleteSamplingInspectionByObjId(Long objId) {
        return samplingInspectionMapper.deleteSamplingInspectionByObjId(objId);
    }
}
